Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer Group

CustomerGroup

List customer groups

get
/tenants/{tenantUid}/customer-groups

List customer groups

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/customer-groups
GET /v2/tenants/{tenantUid}/customer-groups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "customerGroupUid": "text",
      "name": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create customer group

post
/tenants/{tenantUid}/customer-groups

Create customer group

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
customerGroupUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
customerGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/customer-groups
POST /v2/tenants/{tenantUid}/customer-groups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "name": "text",
  "customerGroupUid": "text"
}
201

Example response

{
  "customerGroupUid": "text",
  "name": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get customer group

get
/tenants/{tenantUid}/customer-groups/{customerGroupUid}

Get customer group for UID.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerGroupUidstringRequired

Reference to a customer group

Responses
200

Example response

application/json
customerGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/customer-groups/{customerGroupUid}
GET /v2/tenants/{tenantUid}/customer-groups/{customerGroupUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "customerGroupUid": "text",
  "name": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update customer group

put
/tenants/{tenantUid}/customer-groups/{customerGroupUid}

Update customer group

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerGroupUidstringRequired

Reference to a customer group

Body
namestringOptional
Responses
200

Example response

application/json
customerGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/customer-groups/{customerGroupUid}
PUT /v2/tenants/{tenantUid}/customer-groups/{customerGroupUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
200

Example response

{
  "customerGroupUid": "text",
  "name": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete customer group

delete
/tenants/{tenantUid}/customer-groups/{customerGroupUid}

Delete customer group

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerGroupUidstringRequired

Reference to a customer group

Responses
204

No Content

No content

delete/tenants/{tenantUid}/customer-groups/{customerGroupUid}
DELETE /v2/tenants/{tenantUid}/customer-groups/{customerGroupUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Get customer group with customers

get
/tenants/{tenantUid}/customer-groups/{customerGroupUid}/customers

Get customer group with list of customers.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerGroupUidstringRequired

Reference to a customer group

Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

CustomerListResponse

application/json
get/tenants/{tenantUid}/customer-groups/{customerGroupUid}/customers
GET /v2/tenants/{tenantUid}/customer-groups/{customerGroupUid}/customers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

CustomerListResponse

{
  "items": [
    {
      "address": "text",
      "city": "text",
      "companyName": "text",
      "countryCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerUid": "text",
      "customerType": "COMPANY",
      "email": "text",
      "externalId": "text",
      "firstname": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastname": "text",
      "ledgerNumber": "text",
      "mobile": "text",
      "postalCode": "text",
      "pricelistUid": "text",
      "vatNumber": "text",
      "origin": "text",
      "addresses": [
        {
          "address": "text",
          "city": "text",
          "companyName": "text",
          "firstname": "text",
          "lastname": "text",
          "countryCode": "text",
          "email": "text",
          "phone": "text",
          "postalCode": "text",
          "type": "DELIVERY_ADDRESS",
          "customerAddressUid": "text",
          "displayName": "text"
        }
      ],
      "contacts": [
        {
          "firstname": "text",
          "lastname": "text",
          "email": "text",
          "mobile": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "customerContactUid": "text",
          "extensions": [
            {
              "extensionCode": "TWO_INVOICE",
              "organizationUid": "text"
            }
          ],
          "displayName": "text"
        }
      ],
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ],
      "consents": [
        {
          "consentUid": "text",
          "name": "text",
          "status": true,
          "source": "text",
          "createdAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "loyaltyId": "text",
      "displayName": "text",
      "credit": {
        "limit": 1,
        "balance": 1
      },
      "paymentTerms": 1,
      "internalNote": "text",
      "accountManager": {
        "tenantUserUid": "text",
        "displayName": "text",
        "userCode": "text"
      },
      "ehfEnabled": true,
      "customerGroupUids": [
        "text"
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add or remove customer group customers

put
/tenants/{tenantUid}/customer-groups/{customerGroupUid}/customers

Add and/or remove customer group customers.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerGroupUidstringRequired

Reference to a customer group

Body
addCustomerUidsstring[]Optional
removeCustomerUidsstring[]Optional
Responses
204

No Content

No content

put/tenants/{tenantUid}/customer-groups/{customerGroupUid}/customers
PUT /v2/tenants/{tenantUid}/customer-groups/{customerGroupUid}/customers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "addCustomerUids": [
    "text"
  ],
  "removeCustomerUids": [
    "text"
  ]
}
204

No Content

No content

Last updated

Was this helpful?